cURL

curl --request GET \
  --url 'https://api.openphone.com/v1/contacts?maxResults=10' \
  --header 'Authorization: <api-key>'

Response Example

{
  "data": [
    {
      "id": "<string>",
      "externalId": "664d0db69fcac7cf2e6ec",
      "source": "public-api",
      "sourceUrl": "https://openphone.co/contacts/664d0db69fcac7cf2e6ec",
      "defaultFields": {
        "company": "OpenPhone",
        "emails": [
          {
            "name": "<string>",
            "value": "abc@example.com",
            "id": "<string>"
          }
        ],
        "firstName": "John",
        "lastName": "Doe",
        "phoneNumbers": [
          {
            "name": "<string>",
            "value": "+12345678901",
            "id": "<string>"
          }
        ],
        "role": "Sales"
      },
      "customFields": [
        {
          "name": "<string>",
          "type": "multi-select",
          "value": [
            "<string>"
          ],
          "key": "<string>",
          "id": "<string>"
        }
      ],
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "createdByUserId": "<string>"
    }
  ],
  "totalItems": 123,
  "nextPageToken": "<string>"
}

Query Parameters

  • externalIds: string[] (Optional list of unique identifiers from an external system used to retrieve specific contacts.)
  • sources: string[] (Indicates how the contact was created or where it originated from.)
  • maxResults: integer (default: 10, required, Maximum number of results to return per page.)
  • pageToken: string (Optional for paginated responses.)

Response Codes

  • 200: application/json (Success)
  • 400: Bad Request
  • 401: Unauthorized
  • 403: Forbidden
  • 404: Not Found
  • 409: Conflict
  • 500: Internal Server Error

Authorizations

  • Authorization: string (required, header)

Additional Documentation

Fetch the complete documentation index at: https://www.quo.com/docs/llms.txt